DPGEN_NOR3(3)

NAME
DPGEN_NOR3 - NOR3 Macro-Generator

SYNOPSIS

#include <genlib.h>

void GENLIB_MACRO (DPGEN_NOR3, char *modelname, long flags, long N, long drive);

DESCRIPTION

Generate a N bits three inputs NOR with an output power of drive named modelname.

Valid drive are : 1 or 4.

  TERMINAL NAMES

1.  i2 : input.

2.  i1 : input.

3.  i0 : input.

4.  nq : output.

5.  vdd : power.

6.  vss : ground.

  BEHAVIOR
nq <= not(i0 or i1 or i2)

EXAMPLE

GENLIB_MACRO(DPGEN_NOR3, "model_nor3_32"
                       , F_BEHAV|F_PLACE
                       , 32
                       , 1
                       );
GENLIB_LOINS( "model_nor3_32"
            , "instance1_nor3_32"
            , "i2[31:0]"
            , "i1[31:0]"
            , "i0[31:0]"
            , "nq[31:0]"
            , "vdd", "vss", NULL
            );

SEE ALSO

GENLIB_MACRO(3), genlib(1)